echo off
set ESCUR_DIR=%~dp0

copy /b/y NUL %WINDIR%\06CF2EB6-94E6-4a60-91D8-AB945AE8CF39 >NUL 2>&1
if NOT errorlevel 1 goto admin
set message=You must run this program as an administrator 
echo %message%
msg %USERNAME% %message%
goto:eof
:admin
del %WINDIR%\06CF2EB6-94E6-4a60-91D8-AB945AE8CF39 >NUL 2>&1

cd /d "%ESCUR_DIR%"
javaw -cp ..\..\lib\BaseInstaller.jar;..\..\lib\WinRegistry.jar -splash:..\..\resources\setup.jpg com.infor.install.MainProgram %1 %2 %3 %4
